package fr.monkhanny.dorfromantik.controller;

import fr.monkhanny.dorfromantik.gui.MainMenu;

public class MainMenuResizeController {

    private MainMenu mainMenu;
    private MainMenuResizeHandler resizeHandler;

    public MainMenuResizeController(MainMenu mainMenu) {
        this.mainMenu = mainMenu;
        this.resizeHandler = new MainMenuResizeHandler(mainMenu);
        addComponentListener();
    }

    private void addComponentListener() {
        mainMenu.addComponentListener(resizeHandler);
    }
}
